## netatalk 3.1.18~ds

=== debian/changelog ===
netatalk (3.1.18~ds-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:13 +1100

netatalk (3.1.18~ds-1build3) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:27:38 +0100

netatalk (3.1.18~ds-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:07:38 +0000

netatalk (3.1.18~ds-1build1) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:30:28 +0000

netatalk (3.1.18~ds-1) unstable; urgency=high

  [ upstream ]
  * new release
    + CVE-2022-22995: Harden create_appledesktop_folder()
      closes: bug#1053545

  [ Jonas Smedegaard ]
  * drop patch 001, obsoleted by upstream changes
  * set urgency=high due to security-related bugfix

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Oct 2023 06:40:15 +0200

netatalk (3.1.17~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * Cherry-pick upstream patch for restoring
    tcp wrapper autoconf check.
  * Update lintian sonames override after removal of
    ABI versioning upstream.

  [ Jonas Smedegaard ]
  * set urgency=high due to previous security-related bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Sep 2023 21:59:44 +0200

netatalk (3.1.17~ds-1) unstable; urgency=high

  [ upstream ]
  * new release(s)
    + Use non-interactive PAM session when available
      closes: bug#1040065, thanks to Richard van den Berg
    + Renames asip-status.pl to asip-status
    + Removes uniconv and cnid2_create from distribution
    + FIX CVE-2023-42464:
      Validate data type in dalloc_value_for_key()
    + FIX: Declare a variable before using it in a loop,
      which was throwing off the default compiler on RHEL7
    closes: bug#1052087

  [ Daniel Markstedt ]
  * Drop patches obsoleted by upstream changes:
    001, 101, 105, 106, 107, 204
  * Generate man pages from XML sources with docbook-xsl
  * Improve configure parameters:
    + Explicitly define sysconfdir
    + Sort parameters alphabetically
  * Add lintian overrides for:
    + package-name-doesnt-match-sonames
    + package-contains-documentation-outside-usr-share-doc

  [ Jonas Smedegaard ]
  * set urgency=high due to security-related bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Sep 2023 21:58:16 +0200

netatalk (3.1.15~ds-3) unstable; urgency=medium

  [ Daniel Markstedt ]
  * Cherry-pick upstream patch for:
    + Fix CVE-2022-23121, CVE-2022-23123 regression
  * Install netatalk dbus config file into /usr/share prefix
    instead of /etc - to appease lintian
  * Don't distribute libatalk.so shared lib symlink:
    The upstream project is moving towards turning it into a
    private library
  * Remove copyright info for generated source files
    no longer in VCS
  * Remove overlapping copyright files covered by wildcards
  * Add notes in TODO:
    + to figure out why lintian-overrides are ignored
    + to link with WolfSSL instead of OpenSSL
      (OpenSSL 3.0 broke compatibility with DHX)

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Aug 2023 17:23:37 +0200

netatalk (3.1.15~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * Fix failing smoke test caused by an upstream change
  * Replace deprecated dependency `lsb-base'
    which is now superseded by Essential package `sysvinit-utils'
  * Remove debian.pam override, since upstream now generates
    logically identical pam configurations
  * Fix duplicate globbing of copyright sources
  * Flag all patches as either forwarded or not-needed
  * Restore distribution of the afppasswd.1 man page
  * Fix typo in previous changelog entry (wrong CVE number)
  * Remove obsoleted NEWS file
  * Update own email address
  * Add item to TODO on cleaning up copyright for generated sources
  * Upstream repo renamed from `Netatalk' to `netatalk'

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers
  * renumber patches to match micro naming policy:
    203 -> 101, 102 -> 205

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Aug 2023 10:43:23 +0200

=== debian/control ===
Source: netatalk
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Netatalk team <pkg-netatalk-devel@lists.alioth.debian.org>
Uploaders:
 Daniel Markstedt <daniel@mindani.net>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 bison,
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 docbook-xsl,
 flex,
 libacl1-dev,
 libavahi-client-dev,
 libcrack2-dev,
 libdb-dev,
 libdbus-glib-1-dev,
 libevent-dev,
 libgcrypt20-dev,
 libkrb5-dev,
 libldap2-dev,
 libltdl3-dev,
 libmariadb-dev-compat,
 libpam0g-dev,
 libssl-dev,
 libtalloc-dev,
 libtdb-dev,
 libtirpc-dev,
 libtracker-sparql-3.0-dev,
 libwrap0-dev,
 systemtap-sdt-dev,
 tracker,
 unicode-data,
 xsltproc,
Build-Conflicts:
 libavahi-compat-libdnssd-dev,
Vcs-Git: https://salsa.debian.org/netatalk-team/netatalk.git
Vcs-Browser: https://salsa.debian.org/netatalk-team/netatalk
Standards-Version: 4.6.2
Homepage: https://github.com/Netatalk/netatalk
Rules-Requires-Root: no

Package: netatalk
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libpam-modules,
 netbase,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 avahi-daemon,
 cracklib-runtime,
 dbus,
 lsof,
 procps,
 python3,
 python3-dbus,
 tracker (>= 3.0),
 tracker-miner-fs (>= 3.0),
Suggests:
 quota,
Description: Apple Filing Protocol service
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 Compared to the Windows-native SMB protocol
 (which is also supported on macOS),
 the Macintosh-native AFP protocol is accessible from a different network,
 can be simpler to setup and faster for some operations
 (e.g. server-to-server copying),
 and some features (e.g. the backup service Time Machine)
 may work more reliably than over SMB.
 .
 This package contains all daemon and utility programs
 as well as Netatalk's libraries.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
endif

UTF16_FILES = libatalk/unicode/utf16_case.c libatalk/unicode/utf16_casetable.h

%:
	dh $@

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

execute_after_dh_auto_build: $(DOCS)

override_dh_installdocs:
	dh_installdocs -- $(DOCS)

# restore stale unicode tables moved aside during build
execute_after_dh_auto_clean:
	for file in $(UTF16_FILES); do \
		[ ! -f $$file.save ] || mv --force $$file.save $$file; \
	done

# move aside stale unicode tables and generate up-to-date tables
execute_before_dh_auto_configure:
	for file in $(UTF16_FILES); do \
		[ ! -f $$file ] || mv $$file $$file.save; \
	done
	contrib/shell_utils/make-casetable.pl \
		/usr/share/unicode/UnicodeData.txt \
		libatalk/unicode/utf16_casetable.h \
		libatalk/unicode/utf16_case.c

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-pgp-uam \
		--enable-krbV-uam \
		--localstatedir=/var/lib \
		--sysconfdir=/etc \
		--with-cracklib=/var/cache/cracklib/cracklib_dict \
		--with-dbus-daemon=/usr/bin/dbus-daemon \
		--with-dbus-sysconf-dir=/usr/share/dbus-1/system.d \
		--with-docbook=/usr/share/xml/docbook/stylesheet/docbook-xsl \
		--with-init-style=debian-systemd \
		--with-libgcrypt-dir \
		--with-libtirpc \
		--with-pkgconfdir=/etc/netatalk \
		--with-ssl-dir \
		--with-tracker-pkgconfig-version=3.0 \
		--without-talloc \
		--without-tdb

# Generate man and html pages
execute_after_dh_auto_build:
	make html

# Install sysV initscript with debhelper to add pre- and postinst routines
execute_before_dh_install:
	cp distrib/initscripts/rc.debian debian/netatalk.init

execute_after_dh_install:
	rm debian/netatalk/usr/bin/netatalk-config
	rm debian/netatalk/usr/lib/$(DEB_HOST_MULTIARCH)/libatalk.a
	rm debian/netatalk/usr/lib/$(DEB_HOST_MULTIARCH)/libatalk.la
	rm debian/netatalk/usr/lib/$(DEB_HOST_MULTIARCH)/libatalk.so
	rm debian/netatalk/usr/share/man/man1/netatalk-config.1
	rm -r debian/netatalk/usr/include
	rm -r debian/netatalk/usr/share/aclocal
	rm debian/netatalk/usr/lib/$(DEB_HOST_MULTIARCH)/netatalk/*.la

override_dh_strip:
	dh_strip --dbgsym-migration='netatalk-dbg (<< 3.1.12~ds-7~)'

=== debian/tests/control ===
Test-Command: PATH=/usr/sbin:/sbin:/usr/bin:/bin prove debian/tests/*.t
Depends:
 libtest-command-simple-perl,
 perl,
 @,
Restrictions: superficial

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
repacksuffix=~ds,\
uversionmangle=s/-/./g,\
dversionmangle=auto \
https://github.com/Netatalk/netatalk/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## netatalk 3.2.9~ds

=== meson_options.txt ===
# The following options are used to enable or disable netatalk features
# They take the form -Dwith-feature=true || false

# The value: argument corresponds to the default setting

option(
    'with-acls',
    type: 'boolean',
    value: true,
    description: 'Enable ACL support',
)
option(
    'with-afpstats',
    type: 'boolean',
    value: true,
    description: 'Enable AFP statistics via D-Bus',
)
option(
    'with-cnid-dbd-backend',
    type: 'boolean',
    value: true,
    description: 'Compile CNID with Database Daemon Data Store',
)
option(
    'with-cnid-last-backend',
    type: 'boolean',
    value: true,
    description: 'Compile LAST CNID scheme',
)
option(
    'with-cnid-mysql-backend',
    type: 'boolean',
    value: true,
    description: 'Compile MySQL CNID scheme',
)
option(
    'with-cracklib',
    type: 'boolean',
    value: true,
    description: 'Enable cracklib support',
)
option(
    'with-debug',
    type: 'boolean',
    value: true,
    description: 'Enable verbose debug code',
)
option(
    'with-debugging',
    type: 'boolean',
    value: true,
    description: 'Enable SIGALARM timers and DSI tickles (eg for debugging with gdb/dbx/...)',
)
option(
    'with-dtrace',
    type: 'boolean',
    value: true,
    description: 'Enable dtrace probes',
)
option(
    'with-embedded-ssl',
    type: 'boolean',
    value: true,
    description: 'Enable embedded SSL library',
)
option(
    'with-gssapi',
    type: 'boolean',
    value: true,
    description: 'Enable GSSAPI support',
)
option(
    'with-init-hooks',
    type: 'boolean',
    value: true,
    description: 'Enable install hooks for the configured init system',
)
option(
    'with-install-hooks',
    type: 'boolean',
    value: true,
    description: 'Enable OS specific install hooks',
)
option(
    'with-kerberos',
    type: 'boolean',
    value: true,
    description: 'Enable Kerberos V API support',
)
option(
    'with-krbV-uam',
    type: 'boolean',
    value: true,
    description: 'Enable build of Kerberos V UAM module',
)
option(
    'with-largefile',
    type: 'boolean',
    value: true,
    description: 'Enable support for large files',
)
option(
    'with-ldap',
    type: 'boolean',
    value: true,
    description: 'Enable LDAP support'
)
option(
    'with-ldsoconf',
    type: 'boolean',
    value: false,
    description: 'Enable custom library search path for the run-time linker',
)
option(
    'with-libiconv',
    type: 'boolean',
    value: true,
    description: 'Enable iconv support',
)
option(
    'with-manual',
    type: 'boolean',
    value: false,
    description: 'Compile Netatalk documentation',
)
option(
    'with-overwrite',
    type: 'boolean',
    value: false,
    description: 'Overwrite configuration files during installation',
)
option(
    'with-pam',
    type: 'boolean',
    value: true,
    description: 'Enable PAM support',
)
option(
    'with-pgp-uam',
    type: 'boolean',
    value: false,
    description: 'Enable build of PGP UAM module',
)
option(
    'with-quota',
    type: 'boolean',
    value: true,
    description: 'Enable quota support',
)
option(
    'with-rpath',
    type: 'boolean',
    value: true,
    description: 'Enable RPATH/RUNPATH',
)
option(
    'with-sendfile',
    type: 'boolean',
    value: true,
    description: 'Enable sendfile syscall',
)
option(
    'with-shadow',
    type: 'boolean',
    value: true,
    description: 'Enable shadow password support',
)
option(
    'with-shell-check',
    type: 'boolean',
    value: true,
    description: 'Enable checking for a valid shell',
)
option(
    'with-spotlight',
    type: 'boolean',
    value: true,
    description: 'Enable Spotlight support',
)
option(
    'with-ssl-override',
    type: 'boolean',
    value: false,
    description: 'Force built-in WolfSSL as SSL provider',
)
option(
    'with-tcp-wrappers',
    type: 'boolean',
    value: true,
    description: 'Enable TCP wrappers support',
)
option(
    'with-tests',
    type: 'boolean',
    value: false,
    description: 'Compile tests',
)
option(
    'with-zeroconf',
    type: 'boolean',
    value: true,
    description: 'Enable Zeroconf support',
)

# The following options are used to find dependencies that are installed in
# unconventional locations.
# They take the form -Dwith-dependency-path=/path/to/dependency
# The dependency directory must include lib and include dirs

option(
    'with-bdb-path',
    type: 'string',
    value: '',
    description: 'Set path to Berkeley DB installation. Must contain lib and include dirs',
)
option(
    'with-cracklib-path',
    type: 'string',
    value: '',
    description: 'Set location of cracklib dictionary',
)
option(
    'with-dbus-daemon-path',
    type: 'string',
    value: '/bin/dbus-daemon',
    description: 'Set path to D-Bus daemon',
)
option(
    'with-dbus-sysconf-path',
    type: 'string',
    value: '',
    description: 'Set path to D-Bus system bus security configuration directory',
)
option(
    'with-docbook-path',
    type: 'string',
    value: '',
    description: 'Set path to Docbook XSL directory',
)
option(
    'with-gssapi-path',
    type: 'string',
    value: '',
    description: 'Set path to GSSAPI for Kerberos V UAM. Must contain lib and include dirs',
)
option(
    'with-init-dir',
    type: 'string',
    value: '',
    description: 'Set path to OS specific init directory',
)
option(
    'with-ldap-path',
    type: 'string',
    value: '',
    description: 'Set path to LDAP library. Must contain lib and include dirs'
)
option(
    'with-libgcrypt-path',
    type: 'string',
    value: '',
    description: 'Set path to libgcrypt installation. Must contain lib and include dirs',
)
option(
    'with-libiconv-path',
    type: 'string',
    value: '',
    description: 'Set path to libiconv installation. Must contain lib and include dirs',
)
option(
    'with-lockfile-path',
    type: 'string',
    value: '',
    description: 'Set path to Netatalk lockfile',
)
option(
    'with-pam-path',
    type: 'string',
    value: '',
    description: 'Set path to PAM installation. Must contain lib and include dirs',
)
option(
    'with-pam-config-path',
    type: 'string',
    value: '',
    description: 'Set path to PAM config directory',
)
option(
    'with-pkgconfdir-path',
    type: 'string',
    value: '',
    description: 'Set path to the package conf dir that overrides sysconfdir',
)
option(
    'with-tracker-install-prefix',
    type: 'string',
    value: '',
    description: 'Set Tracker installation prefix',
)
option(
    'with-tracker-prefix',
    type: 'string',
    value: '',
    description: 'Set Tracker prefix',
)
option(
    'with-uams-path',
    type: 'string',
    value: 'libdir / netatalk',
    description: 'Set path to UAMs',
)

# The following options set the preferred init-style and default CNID backend:

option(
    'with-init-style',
    type: 'combo',
    choices: [
        'none',
        'debian',
        'debian-systemd',
        'debian-sysv',
        'freebsd',
        'gentoo-openrc',
        'gentoo-systemd',
        'macos-launchd',
        'netbsd',
        'openbsd',
        'openrc',
        'redhat-systemd',
        'solaris',
        'suse-systemd',
        'systemd',
    ],
    value: 'none',
    description: 'Use OS specific init config',
)
option(
    'with-cnid-default-backend',
    type: 'combo',
    choices: [
        'dbd',
        'last',
        'mysql',
    ],
    value: 'dbd',
    description: 'Set default DID scheme',
)
option(
    'with-manual-l10n',
    type: 'array',
    choices: [
        'ja',
    ],
    value: [],
    description: 'Choose the localizations of the html manual to build',
)

=== debian/changelog ===
netatalk (3.2.9~ds-3) unstable; urgency=medium

  [ Daniel Markstedt ]
  * add patch cherry-picked from upstream:
    002: meson: Format afpd help text output to match autotools
  * update afpd smoketest:
    + remove the check for the tdb CNID backend
    + sort tests in the same order as actual output
  * stop build-depend on libtdb-dev: obsoleted by upstream changes
  * build-depend on libltdl-dev (not libltdl3-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Sep 2024 03:06:55 +0200

netatalk (3.2.9~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * Add patch cherry-picked from upstream:
    001: Correct libwrap capability check in Meson build system
  * Make cracklib-runtime a build dependency
    in order to build netatalk with cracklib support

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Sep 2024 02:46:12 +0200

netatalk (3.2.9~ds-1) unstable; urgency=high

  [ upstream ]
  * new release(s)
    + fix CVE-2024-38439 CVE-2024-38440 CVE-2024-38441
      closes: bug#1074473, #1074474, #1074475

  [ Daniel Markstedt ]
  * drop patches obsoleted by upstream changes
  * refresh patch 202
  * stop build-depend on libgcrypt-config;
    closes: bug#1074503
  * build-depend on libio-socket-ip-perl libnet-dbus-perl perl;
    stop build-depend on python3 python3-dbus
  * update build rules to use Meson (not autotools)
  * Install PAM config in /usr/lib/pam.d to conform to FHS
  * update TODOs

  * update copyright info:
    + exclude embedded libwolfssl from repackaged upstream tarball
    + removing blurbs for files dropped upstream
  * generate documentation, and register with doc-base
  * build-depend on libmariadb-dev (not libmariadb-dev-compat)

  [ Jonas Smedegaard ]
  * Set urgency=high due to security-related bugfixes
  * set buildsystem in overridden configure rule,
    and stop set implied configure option

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Sep 2024 06:42:57 +0200

netatalk (3.1.18~ds-2) unstable; urgency=high

  * update git-buildpackage: adjust debian-branch
  * add patches cherry-picked upstream:
    + use pkg-config to find libgcrypt;
      closes: bug#1071945, thanks to Andreas Metzler
    + harden user login;
      CVE-2024-38439 CVE-2024-38440 CVE-2024-38441;
      closes: bug#1074473,#1074474,#1074475
  * stop pass now superfluous configure option --with-libgcrypt-dir
  * set urgency=high due to security bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2024 11:09:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: netatalk
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Netatalk team <pkg-netatalk-devel@lists.alioth.debian.org>
+Maintainer: Debian Netatalk team <pkg-netatalk-devel@lists.alioth.debian.org>
 Uploaders:
  Daniel Markstedt <daniel@mindani.net>,
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  bison,
  cmark-gfm <!nodoc>,
+ cracklib-runtime,
  debhelper-compat (= 13),
  docbook-xsl,
  flex,
@@ -21,15 +21,18 @@
  libgcrypt20-dev,
  libkrb5-dev,
  libldap2-dev,
- libltdl3-dev,
- libmariadb-dev-compat,
+ libltdl-dev,
+ libmariadb-dev,
  libpam0g-dev,
  libssl-dev,
  libtalloc-dev,
- libtdb-dev,
  libtirpc-dev,
  libtracker-sparql-3.0-dev,
+ libwolfssl-dev,
  libwrap0-dev,
+ meson,
+ ninja-build,
+ pkgconf,
  systemtap-sdt-dev,
  tracker,
  unicode-data,
@@ -38,7 +41,7 @@
  libavahi-compat-libdnssd-dev,
 Vcs-Git: https://salsa.debian.org/netatalk-team/netatalk.git
 Vcs-Browser: https://salsa.debian.org/netatalk-team/netatalk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Netatalk/netatalk
 Rules-Requires-Root: no
 
@@ -54,12 +57,12 @@
  ${shlibs:Depends},
 Recommends:
  avahi-daemon,
- cracklib-runtime,
  dbus,
+ libio-socket-ip-perl,
+ libnet-dbus-perl,
  lsof,
+ perl,
  procps,
- python3,
- python3-dbus,
  tracker (>= 3.0),
  tracker-miner-fs (>= 3.0),
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
endif

UTF16_FILES = libatalk/unicode/utf16_case.c libatalk/unicode/utf16_casetable.h

%:
	dh $@ --buildsystem=meson+ninja

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

execute_after_dh_auto_build: $(DOCS)

override_dh_installdocs:
	dh_installdocs -- $(DOCS)

# restore stale unicode tables moved aside during build
execute_after_dh_auto_clean:
	for file in $(UTF16_FILES); do \
		[ ! -f $$file.save ] || mv --force $$file.save $$file; \
	done

# move aside stale unicode tables and generate up-to-date tables
execute_before_dh_auto_configure:
	for file in $(UTF16_FILES); do \
		[ ! -f $$file ] || mv $$file $$file.save; \
	done
	contrib/shell_utils/make-casetable.pl \
		/usr/share/unicode/UnicodeData.txt \
		libatalk/unicode/utf16_casetable.h \
		libatalk/unicode/utf16_case.c

override_dh_auto_configure:
	dh_auto_configure --buildsystem=meson+ninja -- \
		--localstatedir=/var/lib \
		-Dwith-dbus-daemon-path=/usr/bin/dbus-daemon \
		-Dwith-dbus-sysconf-path=/usr/share/dbus-1/system.d \
		-Dwith-docbook-path=/usr/share/xml/docbook/stylesheet/docbook-xsl \
		-Dwith-embedded-ssl=false \
		-Dwith-init-hooks=false \
		-Dwith-init-style=debian \
		-Dwith-install-hooks=false \
		-Dwith-krbV-uam=true \
		-Dwith-ldsoconf=false \
		-Dwith-manual=true \
		-Dwith-overwrite=true \
		-Dwith-pam-config-path=/etc/pam.d \
		-Dwith-pkgconfdir-path=/etc/netatalk \
		-Dwith-pgp-uam=true \
		-Dwith-rpath=false \
		-Dwith-tests=true

execute_before_dh_install:
# Install sysV initscript with debhelper to add pre- and postinst routines
	cp debian/netatalk/etc/init.d/netatalk debian/netatalk.init

execute_after_dh_install:
	rm debian/netatalk/usr/bin/netatalk-config
	rm debian/netatalk/usr/lib/$(DEB_HOST_MULTIARCH)/libatalk.so
	rm debian/netatalk/usr/share/man/man1/netatalk-config.1
	rm -r debian/netatalk/usr/include

override_dh_strip:
	dh_strip --dbgsym-migration='netatalk-dbg (<< 3.1.12~ds-7~)'

## netatalk 3.2.10~ds

=== debian/changelog ===
netatalk (3.2.10~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release
    hightlights:
    + fix broken ClearTxt UAM (shadow)
    + fix TCP Wrapper detection in Meson
    + fix afpd help text output when built with Meson
    + avoid enabling Debugging by default in Meson
      (fixes server tickles)
    + change default D-Bus config path to <share/dbus-1/system.d>

  [ Daniel Markstedt ]
  * srop patches 001 and 002, obsoleted by upstream changes
  * remove D-Bus config path override, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Sep 2024 12:53:34 +0200

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,6 @@
 	dh_auto_configure --buildsystem=meson+ninja -- \
 		--localstatedir=/var/lib \
 		-Dwith-dbus-daemon-path=/usr/bin/dbus-daemon \
-		-Dwith-dbus-sysconf-path=/usr/share/dbus-1/system.d \
 		-Dwith-docbook-path=/usr/share/xml/docbook/stylesheet/docbook-xsl \
 		-Dwith-embedded-ssl=false \
 		-Dwith-init-hooks=false \

## netatalk 4.0.1~ds

=== meson_options.txt ===
--- 
+++ 
@@ -40,6 +40,18 @@
     description: 'Enable cracklib support',
 )
 option(
+    'with-cups',
+    type: 'boolean',
+    value: true,
+    description: 'Enable CUPS support',
+)
+option(
+    'with-appletalk',
+    type: 'boolean',
+    value: false,
+    description: 'Enable the AppleTalk transport layer, services and utilities',
+)
+option(
     'with-debug',
     type: 'boolean',
     value: true,
@@ -48,7 +60,7 @@
 option(
     'with-debugging',
     type: 'boolean',
-    value: true,
+    value: false,
     description: 'Enable SIGALARM timers and DSI tickles (eg for debugging with gdb/dbx/...)',
 )
 option(
@@ -58,12 +70,6 @@
     description: 'Enable dtrace probes',
 )
 option(
-    'with-embedded-ssl',
-    type: 'boolean',
-    value: true,
-    description: 'Enable embedded SSL library',
-)
-option(
     'with-gssapi',
     type: 'boolean',
     value: true,
@@ -94,12 +100,6 @@
     description: 'Enable build of Kerberos V UAM module',
 )
 option(
-    'with-largefile',
-    type: 'boolean',
-    value: true,
-    description: 'Enable support for large files',
-)
-option(
     'with-ldap',
     type: 'boolean',
     value: true,
@@ -118,12 +118,6 @@
     description: 'Enable iconv support',
 )
 option(
-    'with-manual',
-    type: 'boolean',
-    value: false,
-    description: 'Compile Netatalk documentation',
-)
-option(
     'with-overwrite',
     type: 'boolean',
     value: false,
@@ -136,18 +130,18 @@
     description: 'Enable PAM support',
 )
 option(
-    'with-pgp-uam',
-    type: 'boolean',
-    value: false,
-    description: 'Enable build of PGP UAM module',
-)
-option(
     'with-quota',
     type: 'boolean',
     value: true,
     description: 'Enable quota support',
 )
 option(
+    'with-readmes',
+    type: 'boolean',
+    value: true,
+    description: 'Install README documentation',
+)
+option(
     'with-rpath',
     type: 'boolean',
     value: true,
@@ -178,12 +172,6 @@
     description: 'Enable Spotlight support',
 )
 option(
-    'with-ssl-override',
-    type: 'boolean',
-    value: false,
-    description: 'Force built-in WolfSSL as SSL provider',
-)
-option(
     'with-tcp-wrappers',
     type: 'boolean',
     value: true,
@@ -194,6 +182,12 @@
     type: 'boolean',
     value: false,
     description: 'Compile tests',
+)
+option(
+    'with-webmin',
+    type: 'boolean',
+    value: false,
+    description: 'Package and install the Netatalk Webmin module',
 )
 option(
     'with-zeroconf',
@@ -292,6 +286,12 @@
     description: 'Set path to the package conf dir that overrides sysconfdir',
 )
 option(
+    'with-spooldir',
+    type: 'string',
+    value: '',
+    description: 'Set path for spooldir used for CUPS support',
+)
+option(
     'with-tracker-install-prefix',
     type: 'string',
     value: '',
@@ -309,32 +309,15 @@
     value: 'libdir / netatalk',
     description: 'Set path to UAMs',
 )
-
-# The following options set the preferred init-style and default CNID backend:
-
-option(
-    'with-init-style',
-    type: 'combo',
-    choices: [
-        'none',
-        'debian',
-        'debian-systemd',
-        'debian-sysv',
-        'freebsd',
-        'gentoo-openrc',
-        'gentoo-systemd',
-        'macos-launchd',
-        'netbsd',
-        'openbsd',
-        'openrc',
-        'redhat-systemd',
-        'solaris',
-        'suse-systemd',
-        'systemd',
-    ],
-    value: 'none',
-    description: 'Use OS specific init config',
-)
+option(
+    'with-unicode-data-path',
+    type: 'string',
+    value: '',
+    description: 'Set path to UnicodeData.txt',
+)
+
+# The following options offer a choice from pre-defined selections
+
 option(
     'with-cnid-default-backend',
     type: 'combo',
@@ -344,7 +327,36 @@
         'mysql',
     ],
     value: 'dbd',
-    description: 'Set default DID scheme',
+    description: 'Set default CNID scheme',
+)
+option(
+    'with-init-style',
+    type: 'array',
+    choices: [
+        'none',
+        'auto',
+        'debian-sysv',
+        'freebsd',
+        'macos-launchd',
+        'netbsd',
+        'openbsd',
+        'openrc',
+        'solaris',
+        'systemd',
+    ],
+    value: ['auto'],
+    description: 'Use OS specific init config',
+)
+option(
+    'with-manual',
+    type: 'combo',
+    choices: [
+        'none',
+        'local',
+        'www',
+    ],
+    value: 'local',
+    description: 'Build and install the html manual',
 )
 option(
     'with-manual-l10n',

=== debian/changelog ===
netatalk (4.0.1~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * flag netatalk-tools as Replaces the netatalk 3.x package;
    closes: bug#1084819, thanks to Helmut Grohne
  * add myself as copyright holder for debian/*

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * drop patches cherry-picked upstream, now obsolete

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Oct 2024 19:55:44 +0200

netatalk (4.0.0~ds-4) unstable; urgency=medium

  [ Daniel Markstedt ]
  * add patch 005, create manpage aliases for nbp tools
  * add patch 006, remove Also directive in systemd units
  * generate the README.txt via the netatalk build system
  * install README.txt with all packages

  [ Jonas Smedegaard ]
  * omit generating documentation
    and build-depending on docbook-xsl and xsltproc
    if DEB_BUILD_OPTIONS=nodoc
  * omit tests if DEB_BUILD_OPTIONS=nocheck
  * add note in rules file about statedir setting

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Oct 2024 10:27:11 +0200

netatalk (4.0.0~ds-3) unstable; urgency=medium

  [ Daniel Markstedt ]
  * move XSL tooling back to Build-Depends to unblock -arch builds
  * create debian/not-installed to ignore netatalk-config files

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Oct 2024 07:14:34 +0200

netatalk (4.0.0~ds-2) experimental; urgency=medium

  [ Daniel Markstedt ]
  * add patch 004, allow building arch when XSL tools are unavailable
  * papd: change `cups' package to recommended
  * netatalk-tools: add Breaks conflict with pre-4.0 netatalk;
    closes: bug#1083125

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2024 09:14:40 +0200

netatalk (4.0.0~ds-1) experimental; urgency=medium

  [ upstream ]
  * new release
    highlights:
    + reintroduce AFP-over-AppleTalk transport layer
    + reintroduce daemons: atalkd, papd, timelord, a2boot
    + reintroduce utils: aecho, getzones, nbplkup, nbprgstr, nbpunrgstr,
      pap, papstatus
    + add `macipgw' MacIP gateway daemon
    + remove incorrect libgcrypt version check
      closes: bug#568601
    + rewrite afpstats from dbus-glib to GDBus
      closes: bug#955927
    + all UAMs use libgcrypt; remove dependency on OpenSSL and wolfSSL
    + remove obsoleted PGP UAM

  [ Daniel Markstedt ]
  * split deb packaging into multiple atomic units
  * drop repackaging of wolfSSL code, since it was removed upstream
  * repackage by removing the webmin_module code
  * remove debian rules override for Unicode character lookup table
    code generation, now handled by the netatalk build system
  * add dependency on cups, to enable the papd print server
  * add patch 001, 002, 003 for minor upstream bugs
  * remove obsoleted `default' init script
  * remove obsoleted README.Debian

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Oct 2024 15:37:16 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
  cmark-gfm <!nodoc>,
  cracklib-runtime,
  debhelper-compat (= 13),
- docbook-xsl,
+ docbook-xsl <!nodoc>,
  flex,
  libacl1-dev,
  libavahi-client-dev,
  libcrack2-dev,
+ libcups2-dev,
  libdb-dev,
- libdbus-glib-1-dev,
  libevent-dev,
  libgcrypt20-dev,
  libkrb5-dev,
@@ -24,11 +24,9 @@
  libltdl-dev,
  libmariadb-dev,
  libpam0g-dev,
- libssl-dev,
  libtalloc-dev,
  libtirpc-dev,
  libtracker-sparql-3.0-dev,
- libwolfssl-dev,
  libwrap0-dev,
  meson,
  ninja-build,
@@ -36,7 +34,7 @@
  systemtap-sdt-dev,
  tracker,
  unicode-data,
- xsltproc,
+ xsltproc <!nodoc>,
 Build-Conflicts:
  libavahi-compat-libdnssd-dev,
 Vcs-Git: https://salsa.debian.org/netatalk-team/netatalk.git
@@ -50,22 +48,25 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libpam-modules,
- netbase,
- ${misc:Depends},
- ${perl:Depends},
- ${shlibs:Depends},
-Recommends:
  avahi-daemon,
  dbus,
- libio-socket-ip-perl,
- libnet-dbus-perl,
- lsof,
- perl,
- procps,
+ libatalk (=${binary:Version}),
  tracker (>= 3.0),
  tracker-miner-fs (>= 3.0),
+ libpam-modules,
+ netbase,
+ ${misc:Depends},
+ ${perl:Depends},
+ ${shlibs:Depends},
+Recommends:
+ a2boot,
+ atalkd,
+ macipgw,
+ netatalk-tools,
+ papd,
+ timelord,
 Suggests:
+ netatalk-doc,
  quota,
 Description: Apple Filing Protocol service
  Netatalk is an implementation of the Apple Filing Protocol (AFP),
@@ -79,5 +80,187 @@
  and some features (e.g. the backup service Time Machine)
  may work more reliably than over SMB.
  .
- This package contains all daemon and utility programs
+ This package contains all AFP file server daemons
  as well as Netatalk's libraries.
+
+Package: netatalk-tools
+Architecture: any
+Depends:
+ dbus,
+ libatalk (=${binary:Version}),
+ libio-socket-ip-perl,
+ libnet-dbus-perl,
+ lsof,
+ perl,
+ procps,
+ ${misc:Depends},
+ ${perl:Depends},
+ ${shlibs:Depends},
+Replaces: netatalk (<< 4.0.0~ds-1)
+Breaks: netatalk (<< 4.0.0~ds-1)
+Enhances: netatalk (>= 4.0.0~ds-1)
+Description: Apple Filing Protocol service (administrative tools)
+ Netatalk is an implementation of the Apple Filing Protocol (AFP),
+ for offering file service (mainly) to macOS clients.
+ .
+ This package contains the following AFP file server utility programs
+ for system administrators:
+  * ad - AppleDouble file utility suite
+  * afpldaptest - validate Netatalk LDAP parameters
+  * afppasswd - RandNum UAM password management
+  * afpstats - inquire AFP server usage stats
+  * apple_dump - dump AppleSingle/AppleDouble metadata
+  * asip-status - inquire AFP server capabilities
+  * dbd - CNID database maintenance
+  * macusers - list connected AFP server users
+
+Package: netatalk-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Description: Apple Filing Protocol service (documentation)
+ Netatalk is an implementation of the Apple Filing Protocol (AFP),
+ for offering file service (mainly) to macOS clients.
+ .
+ This package contains the html documentation for Netatalk.
+
+Package: libatalk
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ netatalk (<< 4.0.0~ds-1)
+Description: Apple Filing Protocol service (shared library)
+ Netatalk is an implementation of the Apple Filing Protocol (AFP),
+ for offering file service (mainly) to macOS clients.
+ .
+ This package contains Netatalk's shared libraries.
+
+Package: libatalk-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ libatalk (=${binary:Version}),
+ ${misc:Depends},
+Description: Apple Filing Protocol service (development files)
+ Netatalk is an implementation of the Apple Filing Protocol (AFP),
+ for offering file service (mainly) to macOS clients.
+ .
+ This package contains headers for development.
+
+Package: atalkd
+Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ libatalk (=${binary:Version}),
+ netbase,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ a2boot,
+ macipgw,
+ papd,
+ timelord,
+Enhances:
+ netatalk,
+Description: AppleTalk Network Suite
+ Netatalk's services and tools
+ for networking with very old Macs and Apple IIs
+ .
+ This package contains the daemon and utility programs
+ for the Netatalk AppleTalk network suite, which can be used
+ with the Netatalk AFP file server, and other services.
+ .
+ In addition to the atalkd network management daemon,
+ the following utility programs are installed:
+  * aecho - send AppleTalk Echo Protocol pings
+  * getzones - list available AppleTalk zones
+  * nbplkup - list registered AppleTalk entities
+  * nbprgstr - register an AppleTalk entity
+  * nbpunrgstr - release a registered AppleTalk entity
+
+Package: a2boot
+Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ atalkd,
+ netatalk,
+ netbase,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: AppleTalk Network Suite (Apple II NetBoot)
+ Netatalk's services and tools
+ for networking with very old Macs and Apple IIs
+ .
+ This package contains a daemon that allows you
+ to boot an Apple II over the network from an AFP volume.
+
+Package: macipgw
+Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ atalkd,
+ netbase,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: AppleTalk Network Suite (MacIP Gateway)
+ Netatalk's services and tools
+ for networking with very old Macs and Apple IIs
+ .
+ This package contains a daemon that sets up
+ a MacIP gateway which enables pre-TCP/IP Macs
+ to browse the web and use other TCP/IP resources.
+
+Package: papd
+Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ atalkd,
+ netbase,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends: cups
+Enhances: cups
+Description: AppleTalk Network Suite (PAP Print Server)
+ Netatalk's services and tools
+ for networking with very old Macs and Apple IIs
+ .
+ This package contains the daemon and utility programs
+ for network printing to and from LocalTalk networks.
+ It allows Mac OS and Apple II clients to print to
+ modern AirPrint / CUPS enabled printers.
+ .
+ In addition, the following printing tools are included:
+  * pap - print from the host to a LocalTalk printer
+  * papstatus - inquire the status of a LocalTalk printer
+
+Package: timelord
+Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ atalkd,
+ netbase,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: AppleTalk Network Suite (Timelord Time Server)
+ Netatalk's services and tools
+ for networking with very old Macs and Apple IIs
+ .
+ This package contains a daemon that serves
+ a Timelord compatible time server for Mac OS
+ and Apple II.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson+ninja

CONFIGURE_OPTS = \
 -Dwith-appletalk=true \
 -Dwith-dbus-daemon-path=/usr/bin/dbus-daemon \
 -Dwith-init-hooks=false \
 -Dwith-init-style=debian-sysv,systemd \
 -Dwith-install-hooks=false \
 -Dwith-krbV-uam=true \
 -Dwith-ldsoconf=false \
 -Dwith-overwrite=true \
 -Dwith-pam-config-path=/etc/pam.d \
 -Dwith-pkgconfdir-path=/etc/netatalk \
 -Dwith-rpath=false \
 -Dwith-spooldir=/var/spool/netatalk \

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
CONFIGURE_OPTS += \
 -Dwith-tests=true
endif

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
CONFIGURE_OPTS += \
 -Dwith-manual=local \
 -Dwith-docbook-path=/usr/share/xml/docbook/stylesheet/docbook-xsl \
 -Dwith-readmes=true
endif

# ensure a final statedir of /var/lib/netatalk
# (FHS and Debian possibly disagree in defaults - see also bug#1082436)
CONFIGURE_OPTS += \
 --localstatedir=/var/lib \

override_dh_auto_configure:
	dh_auto_configure --buildsystem=meson+ninja -- $(CONFIGURE_OPTS)

execute_after_dh_auto_install:
# Install initscripts with debhelper to add pre- and postinst routines
	mv debian/tmp/etc/init.d/a2boot debian/a2boot.init
	mv debian/tmp/etc/init.d/atalkd debian/atalkd.init
	mv debian/tmp/etc/init.d/macipgw debian/macipgw.init
	mv debian/tmp/etc/init.d/netatalk debian/netatalk.init
	mv debian/tmp/etc/init.d/papd debian/papd.init
	mv debian/tmp/etc/init.d/timelord debian/timelord.init
	mv debian/tmp/usr/lib/systemd/system/a2boot.service debian/
	mv debian/tmp/usr/lib/systemd/system/atalkd.service debian/
	mv debian/tmp/usr/lib/systemd/system/macipgw.service debian/
	mv debian/tmp/usr/lib/systemd/system/netatalk.service debian/
	mv debian/tmp/usr/lib/systemd/system/papd.service debian/
	mv debian/tmp/usr/lib/systemd/system/timelord.service debian/

## netatalk 4.0.3~ds

=== debian/changelog ===
netatalk (4.0.3~ds-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Oct 2024 21:10:21 +0100

netatalk (4.0.3~ds-1) experimental; urgency=medium

  [ Daniel Markstedt ]
  * some testsuite tests need setgid on the volume dir
  * use systemctl to control the netatalk process for testing
  * specify with-tracker-prefix for meson 1.6.0 compatibility
  * remove patches obsoleted by upstream changes
  * update testsuite execution command with upstream changes
  * create a netatalk-tests package
  * store testsuite test log to debci artifacts
  * install README.txt for netatalk-tests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Oct 2024 07:42:17 +0100

netatalk (4.0.2~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + end-to-end testsuite module added
    + new afp.conf option legacy icon

  [ Daniel Markstedt ]
  * build testsuite and run the suite with autopkgtest
  * add patches 201 & 203 to make testsuite work in autopkgtest
  * update smoketest to conform to upstream changes
  * update copyright info with newly added source code
  * use with-statedir-path override instead of Meson localstatedir

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not abuse License-Grant)
    + sort copyright holders by name

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Oct 2024 22:47:34 +0200

=== debian/control ===
--- 
+++ 
@@ -114,6 +114,25 @@
   * dbd - CNID database maintenance
   * macusers - list connected AFP server users
 
+Package: netatalk-tests
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Apple Filing Protocol service (test tools)
+ Netatalk is an implementation of the Apple Filing Protocol (AFP),
+ for offering file service (mainly) to macOS clients.
+ .
+ This package contains the following AFP functional test runners,
+ benchmarks, and supporting tools:
+  * afp_encodingtest - AFP volume encoding test
+  * afp_lantest - AFP benchmark akin to HELIOS LanTest
+  * afp_logintest - test authentication over DSI
+  * afp_ls - ls command over AFP
+  * afp_spectest - AFP specification functional test suite
+  * afp_speedtest - AFP read/write/copy benchmark
+  * afparg - AFP CLI client
+
 Package: netatalk-doc
 Section: doc
 Architecture: all

## netatalk 4.0.7~ds

=== meson_options.txt ===
--- 
+++ 
@@ -182,6 +182,12 @@
     type: 'boolean',
     value: false,
     description: 'Compile tests',
+)
+option(
+    'with-testsuite',
+    type: 'boolean',
+    value: false,
+    description: 'Compile the AFP test suite',
 )
 option(
     'with-webmin',
@@ -208,6 +214,12 @@
     description: 'Set path to Berkeley DB installation. Must contain lib and include dirs',
 )
 option(
+    'with-bdb-version',
+    type: 'string',
+    value: '',
+    description: 'Set installed Berkeley DB version x.y (major.minor) to link against',
+)
+option(
     'with-cracklib-path',
     type: 'string',
     value: '',
@@ -216,7 +228,7 @@
 option(
     'with-dbus-daemon-path',
     type: 'string',
-    value: '/bin/dbus-daemon',
+    value: '',
     description: 'Set path to D-Bus daemon',
 )
 option(
@@ -268,6 +280,12 @@
     description: 'Set path to Netatalk lockfile',
 )
 option(
+    'with-manual-install-path',
+    type: 'string',
+    value: '',
+    description: 'Set path where to install manual html pages',
+)
+option(
     'with-pam-path',
     type: 'string',
     value: '',
@@ -280,6 +298,12 @@
     description: 'Set path to PAM config directory',
 )
 option(
+    'with-perl-path',
+    type: 'string',
+    value: '',
+    description: 'Set path to directory that containts the perl runtime binary',
+)
+option(
     'with-pkgconfdir-path',
     type: 'string',
     value: '',
@@ -290,6 +314,12 @@
     type: 'string',
     value: '',
     description: 'Set path for spooldir used for CUPS support',
+)
+option(
+    'with-statedir-path',
+    type: 'string',
+    value: '',
+    description: 'Set path for statedir used for CNID databases etc.',
 )
 option(
     'with-tracker-install-prefix',
@@ -352,11 +382,12 @@
     type: 'combo',
     choices: [
         'none',
-        'local',
-        'www',
+        'local',    # html and troff docs for installation and distribution
+        'man_only', # troff man pages only for installation and distribution
+        'www',      # html for web publishing (project admin use)
     ],
     value: 'local',
-    description: 'Build and install the html manual',
+    description: 'Format of manual to build and install',
 )
 option(
     'with-manual-l10n',

=== debian/changelog ===
netatalk (4.0.7~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * add patch 001: retry logic for flaky testsuite test

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Dec 2024 09:04:14 +0100

netatalk (4.0.7~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update patch 202

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2024 21:08:04 +0100

netatalk (4.0.6~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Nov 2024 18:57:50 +0100

netatalk (4.0.5~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * drop TODO note about using libev (considered infeasable upstream)
  * drop obsolete man page for gone executable afp_encodingtest
  
  [ Jonas Smedegaard ]
  * update copyright info:
    + exclude generated files from repackaged source

  [ Daniel Markstedt ]

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Nov 2024 13:45:32 +0100

netatalk (4.0.4~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * enable extension mapping tests in the testsuite

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Nov 2024 09:40:06 +0100

netatalk (4.0.4~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * afp_ls has been merged into afparg,
    and encodingtest into spectest
  * afptest man page has been introduced,
    covering all netatalk-tests apps
  * don't install afp_encodingtest.1 man page
    which has been deprecated upstream
  * spectest test suites were collapsed into a single suite upstream
  * use correct path to test volumes in testsuite configuration
  * for netatalk-tests,
    install binary test data file used by afp_spectest

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Nov 2024 00:26:48 +0100

=== debian/control ===
--- 
+++ 
@@ -125,10 +125,8 @@
  .
  This package contains the following AFP functional test runners,
  benchmarks, and supporting tools:
-  * afp_encodingtest - AFP volume encoding test
   * afp_lantest - AFP benchmark akin to HELIOS LanTest
   * afp_logintest - test authentication over DSI
-  * afp_ls - ls command over AFP
   * afp_spectest - AFP specification functional test suite
   * afp_speedtest - AFP read/write/copy benchmark
   * afparg - AFP CLI client

## netatalk 4.0.8~ds

=== debian/changelog ===
netatalk (4.0.8~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * remove patch 001 obsoleted by upstream changes
  * add patch 001 to skip test358 which is flaky on s390x
  * unfuzz patch 202

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Dec 2024 11:14:34 +0100
